View Issue Details

IDProjectCategoryView StatusLast Update
0017334MediaMonkey 5Tagging / organizing (properties / auto-tools)public2021-01-15 11:37
ReporterLudek Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017334: Duplicate content functionality is broken for tracks analyzed in MM4
DescriptionDebugging with Drakinite why no files are shown under Music > Files to Edit > Duplicate Content for him.

The tests shown that MM4 calculates the signature differently!

Steps to repro:
1) Scan Track1 to MM4 and analyze it for redundancy
2) Import the database to MM5
3) Add copy of Track1 and analyze for redundancy
=> The track copy isn't shown under Music > Files to Edit > Duplicate Content
TagsNo tags attached.
Fixed in build2294

Relationships

related to 0000685 closedLudek MediaMonkey (current) Duplicates functionality is unintuitive 
related to 0017389 closedLudek MediaMonkey 5 Duplicate content view is not refreshed after signature calc (for some users) 
related to 0017340 closedLudek MediaMonkey (current) Duplicate content functionality is broken in certain scenarios 

Activities

Ludek

2021-01-07 10:11

developer   ~0061187

Last edited: 2021-01-07 13:06

View 4 revisions

OK, I have got it finally. The different signatures are produced based on state of checkbox
Options > Library > [x] Analyze files for duplicates (takes extra time)

- when the checkbox is enabled then correct signatures are calculated during scanning and adding the file to library
- when the checkbox is disabled and user accepts the dialog "X files hasn't been analyzed for redundancy. Do you want to analyze them now?" [Yes]
then incorrect signatures are produced (and also different signatures for files with different tags !!!)

Surprisingly this has been always the issue also in MM4, just nobody noticed this do far.

Ludek

2021-01-07 16:16

developer   ~0061190

Last edited: 2021-01-07 16:17

View 2 revisions

Fixed in 2293 (and fixed for MM4 as 0017340)

lowlander

2021-01-08 19:30

developer   ~0061244

Confirmed fix in 2293, analyzed on scan and analyzed on duplicate content are matched as duplicates. However after running the scan of un-analyzed files from the Duplicated Content node the view doesn't refresh to include the newly analyzed (and duplicate copies) in the Filelisting. This leaves the user to think no more duplicates were found after analyzing. F5 fixed this.

Ludek

2021-01-11 15:42

developer   ~0061280

Last edited: 2021-01-11 17:13

View 2 revisions

FYI: After the fix in 2293 there is possible crash when calculating signatures for deadlinks (upon accepting "X files hasn't been analyzed for redundancy. Do you want to analyze them now?" [Yes] )

=> Fixed in 2294

The possible UI refresh mentioned by LowLander (after calculation finish) also fixed in 2294

lowlander

2021-01-14 21:37

developer   ~0061340

Refresh didn't happen on 2294.

Ludek

2021-01-15 11:36

developer   ~0061372

I cannot replicate, but tracked separately as 0017389 to figure out why the view is still not refreshing for you.